# RPM specfile for Guppi module
# Generated Fri Mar 29 22:04:22 2002 GMT by Ximian build system
# $Id: bb_do,v 1.179 2002/03/15 23:19:54 thunder Exp $
# from $Id: ximian-build.conf,v 1.14 2002/03/24 22:55:44 dobey Exp $

%define nam	Guppi
%define ver	0.40.3
%define ximrev	2

Name:     	Guppi
Version: 	0.40.3
Release:	1.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.gnome.org/
Source0:	Guppi-0.40.3.tar.gz
Summary:	Plotting tool for GNOME
Group:		Applications/Graphics
Provides:	ximian-Guppi = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Guppi is a tool that allows you to make interactive plots of data
in various ways.  It is integrated with GNOME.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/guppi/plug-ins/*
/usr/share/gnome/help/guppi
/usr/share/guppi
/usr/share/locale/*/*/Guppi.mo
/usr/share/oaf/*
/usr/share/pixmaps/gnome-guppi.png
/usr/share/pixmaps/guppi


%package -n libguppi16-devel
Summary:	Libraries for the Guppi plotting tool
Group:		Development/Libraries
Requires:	libguppi16 = %{PACKAGE_VERSION}
Provides:	libguppi-devel = %{PACKAGE_VERSION}
Provides:	Guppi-devel = %{PACKAGE_VERSION}
Provides:	ximian-libguppi16-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libguppi11-devel
Obsoletes:	libguppi13-devel
Obsoletes:	libguppi15-devel

%description -n libguppi16-devel
Set of libraries that allow you to access the Guppi plotting API.
Install this package if you wish to add plotting capabilities to GNOME
plications through Guppi.

%files -n libguppi16-devel
%defattr(-, root, root)
/usr/include/gnome-1.0/libguppi
/usr/include/gnome-1.0/libguppitank
/usr/lib/*Conf.sh
/usr/lib/*.la
/usr/lib/*.so
/usr/share/aclocal/libguppi.m4


%package -n libguppi16
Summary:	Libraries for Guppi
Group:		System/Libraries
Provides:	ximian-libguppi16 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libguppi16
This package provides libraries to use Guppi.

%files -n libguppi16
%defattr(-, root, root)
/usr/lib/*.so.*


%post -n libguppi16
ldconfig

%postun -n libguppi16
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n Guppi-0.40.3
    ;;
all)
%setup  -q -n Guppi-0.40.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-gnumeric
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sun Mar 24 2002 Ximian, Inc.

- Version: 0.40.3-1.ximian.2
- Summary: New build.
- New automated build.

